Page MenuHomeFreeBSD

Move MI bits of efirt to a MI file
ClosedPublic

Authored by andrew on Sep 21 2017, 1:48 PM.

Details

Summary

To prepare for adding EFI runtime services support on arm64 move the
machine independent parts of the existing code to a new file that can
be shared between the two architectures.

Test Plan

I've tested on arm64, but don't have an amd64 test machine so haven't tested there.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

So the 1:1 mapping trick is becoming the arch requirement to support RT ?

sys/kern/subr_efi.c
68 ↗(On Diff #33262)

Why is this in MD file ?

  • Move the locking macros to a MD header
  • Ddd subr_efi.c to the module Makefile

I left the name as it all architectures that currently support EFI RT use a 1:1 map.

May be add sys/dev/efirt and move subr_efi.c there ? EFI is not a generic facility, it is MD, just that it exists on both x86 and arm64.

This revision is now accepted and ready to land.Sep 22 2017, 1:12 PM

My eye didn't trip over anything...

Move the MI file under sys/dev/efidev

This revision now requires review to proceed.Sep 24 2017, 11:32 AM

I like this layout better...

This revision is now accepted and ready to land.Sep 24 2017, 2:24 PM
This revision was automatically updated to reflect the committed changes.